Skip to main content
POST
/
api
/
v2
/
auth
/
login
Login
curl --request POST \
  --url https://api.example.com/api/v2/auth/login \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "<string>",
  "password": "<string>"
}
'
email
string
required
User email address.
password
string
required
Account password.

Request

curl -X POST https://neuralbox.top/api/v2/auth/login \
  -H "Content-Type: application/json" \
  -d '{"email": "user@example.com", "password": "your_password"}'

Response

{
  "access_token": "eyJhbGciOiJIUzI1NiJ9...",
  "refresh_token": "eyJhbGciOiJIUzI1NiJ9...",
  "token_type": "bearer",
  "user": {
    "id": 12345,
    "email": "user@example.com",
    "username": "user",
    "plan": "pro",
    "token_balance": 543
  }
}
The access_token expires in 15 minutes. Use the refresh_token to get a new one via Refresh.

Errors

CodeMeaning
401Invalid email or password
403Email not verified
429Too many login attempts